For the complete documentation index, see llms.txt. This page is also available as Markdown.

List enrollments

get
Responses
200

OK

application/json
get/public/v1/program/enrollments
GET /public/v1/program/enrollments HTTP/1.1
Host: api.platform.softwareone.com
Accept: */*
200

OK

{
  "$meta": {
    "pagination": {
      "offset": 1,
      "limit": 1,
      "total": 1
    },
    "omitted": [
      "text"
    ]
  },
  "data": [
    {
      "id": "text",
      "audit": {
        "created": {},
        "updated": {},
        "processing": {},
        "querying": {},
        "completed": {},
        "failed": {}
      },
      "$meta": {
        "omitted": [
          "text"
        ]
      },
      "certificate": {
        "id": "text",
        "name": "text"
      },
      "program": {
        "id": "text",
        "name": "text",
        "status": "text",
        "applicableTo": "text",
        "products": [
          "[Circular Reference]"
        ]
      },
      "applicableTo": "text",
      "type": "text",
      "buyer": {
        "id": "text",
        "icon": "text",
        "name": "text"
      },
      "licensee": {
        "id": "text",
        "icon": "text",
        "name": "text",
        "externalId": "text"
      },
      "eligibility": {
        "client": true,
        "partner": true
      },
      "status": "text",
      "notes": "text",
      "statusNotes": {
        "id": "text",
        "message": "text",
        "parameters": null
      },
      "assignee": {
        "id": "text",
        "icon": "text",
        "name": "text"
      },
      "parameters": {
        "ordering": [
          {
            "id": "text",
            "externalId": "text",
            "name": "text",
            "type": "text",
            "phase": "text",
            "error": {
              "id": "text",
              "message": "text",
              "parameters": null
            },
            "constraints": {
              "hidden": true,
              "readonly": true,
              "required": true
            },
            "displayValue": "text",
            "value": null
          }
        ],
        "fulfillment": [
          {
            "id": "text",
            "externalId": "text",
            "name": "text",
            "type": "text",
            "phase": "text",
            "error": {
              "id": "text",
              "message": "text",
              "parameters": null
            },
            "constraints": {
              "hidden": true,
              "readonly": true,
              "required": true
            },
            "displayValue": "text",
            "value": null
          }
        ]
      },
      "error": {
        "id": "text",
        "message": "text",
        "parameters": null
      },
      "template": {
        "id": "text",
        "name": "text",
        "type": "text"
      }
    }
  ]
}

Last updated

Was this helpful?